示意圖,與新聞事件無關。

Google宣佈用於更新Google Play App的Google Play services用戶端函式庫10.0.0版及雲端開發平台Firebase Android版用戶端函式庫10.0.0版將是支援對應Android API Level 9-13的最後一個版本。預計自2017年初推出的下一代函式庫(10.2.0)起,將把支援API Level 的底限,由Level 9拉高到Level 14。 

這意謂著,從明年初起,Google Play services及Firebase Android版用戶端函式庫,就不再支援Gingerbread (Android 2.3)及Honeycomb(Android 3.0/3.1/3.2)。 

Google解釋,Gingerbread平台推出即將滿5年,許多Android App都已經不再支援。最新的支援變更有助於開發人員更有效應用Android平台的新功能,也讓Google得以集中資源,提供Android 開發人員更強大、速度更快的工具。對應於Level 14以上API的最低版本為Ice Cream Sandwich (Android 4.0.1)。 

目前開發人員還是可以使用10.0.0版的Google Play服務及Firebase,不過到明年初10.2.0版本釋出時,開發人員就需以Level 14為最低支援API Level,不然就得為支援仍使用level 14以下API的舊版裝置建立多個APK。 

根據Google自己的統計,目前執行Gingerbread以下的裝置比例僅佔1.4%(Honeycomb為0)。最大宗的平台版本依序是Lollipop(34.1%)、KitKat(25.2%)、及Marshmallow (24.0%)。釋出近三個月的最新版Nougat(Android 7.0)則為0.3%。

          


Advertisement

更多 iThome相關內容